Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaDependency

- org.gradle.tooling.model.idea.IdeaDependency

- All Superinterfaces:
    Dependency

  IDEA dependency.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `getExported()` Allows to check if current dependency is transitive, i.e.
    `IdeaDependencyScope` | `getScope()` scope of the current dependency.

- - ### Method Detail

    - #### public boolean getExported()

      Allows to check if current dependency is transitive, i.e. is visible to the module which depends on module that has current dependency.

      Returns:
        `true` if current dependency is transitive; `false` otherwise

    - #### public IdeaDependencyScope getScope()

      scope of the current dependency. Not-`null` all the time

      Returns:
        scope